Skip to main content
GET https://api.speccheckrx.com/v1/labs

Authentication

This endpoint requires bearer token authentication.

Headers

Authorization
string
required
Your bearer token in the format Bearer <token>.
User-Email
string
required
The email address of the user whose associated labs should be returned.Must exactly match the email address used to log in to the SpecCheck Dashboard.

Returns

Returns an object with a data array of labs for the user identified by the User-Email header. If there are no labs, data is an empty array.
data
array of Lab Object
{
  "data": [
    {
      "id": "lab_123",
      "name": "Acme Lab",
      "account_number": "1234567"
    },
    {
      "id": "lab_456",
      "name": "VisionWorks Lab",
      "account_number": "7654321"
    }
  ]
}
curl https://api.speccheckrx.com/v1/labs \
  -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
  -H "User-Email: {{USER_EMAIL}}"